Receive a provider event
curl --request POST \
--url https://api.agentsfleet.net/v1/ingress/{provider} \
--header 'Content-Type: application/json' \
--header 'X-GitHub-Delivery: <x-github-delivery>' \
--header 'X-GitHub-Event: <x-github-event>' \
--header 'X-Hub-Signature-256: <x-hub-signature-256>'import requests
url = "https://api.agentsfleet.net/v1/ingress/{provider}"
headers = {
"X-GitHub-Event": "<x-github-event>",
"X-GitHub-Delivery": "<x-github-delivery>",
"X-Hub-Signature-256": "<x-hub-signature-256>",
"Content-Type": "application/json"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-GitHub-Event': '<x-github-event>',
'X-GitHub-Delivery': '<x-github-delivery>',
'X-Hub-Signature-256': '<x-hub-signature-256>',
'Content-Type': 'application/json'
}
};
fetch('https://api.agentsfleet.net/v1/ingress/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentsfleet.net/v1/ingress/{provider}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-GitHub-Delivery: <x-github-delivery>",
"X-GitHub-Event: <x-github-event>",
"X-Hub-Signature-256: <x-hub-signature-256>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentsfleet.net/v1/ingress/{provider}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-GitHub-Event", "<x-github-event>")
req.Header.Add("X-GitHub-Delivery", "<x-github-delivery>")
req.Header.Add("X-Hub-Signature-256", "<x-hub-signature-256>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agentsfleet.net/v1/ingress/{provider}")
.header("X-GitHub-Event", "<x-github-event>")
.header("X-GitHub-Delivery", "<x-github-delivery>")
.header("X-Hub-Signature-256", "<x-hub-signature-256>")
.header("Content-Type", "application/json")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentsfleet.net/v1/ingress/{provider}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-GitHub-Event"] = '<x-github-event>'
request["X-GitHub-Delivery"] = '<x-github-delivery>'
request["X-Hub-Signature-256"] = '<x-hub-signature-256>'
request["Content-Type"] = 'application/json'
response = http.request(request)
puts response.read_body{
"status": "<string>"
}{
"enqueued": 1,
"matched": 1
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}Webhooks
Receive a provider event
Receives signed GitHub events and starts runs for matching subscribed fleets. Duplicate deliveries do not start another run. Repair pull requests, workflow results, and deployment_status deliveries are acknowledged without starting runs or saving repair evidence.
POST
/
v1
/
ingress
/
{provider}
Receive a provider event
curl --request POST \
--url https://api.agentsfleet.net/v1/ingress/{provider} \
--header 'Content-Type: application/json' \
--header 'X-GitHub-Delivery: <x-github-delivery>' \
--header 'X-GitHub-Event: <x-github-event>' \
--header 'X-Hub-Signature-256: <x-hub-signature-256>'import requests
url = "https://api.agentsfleet.net/v1/ingress/{provider}"
headers = {
"X-GitHub-Event": "<x-github-event>",
"X-GitHub-Delivery": "<x-github-delivery>",
"X-Hub-Signature-256": "<x-hub-signature-256>",
"Content-Type": "application/json"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-GitHub-Event': '<x-github-event>',
'X-GitHub-Delivery': '<x-github-delivery>',
'X-Hub-Signature-256': '<x-hub-signature-256>',
'Content-Type': 'application/json'
}
};
fetch('https://api.agentsfleet.net/v1/ingress/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentsfleet.net/v1/ingress/{provider}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-GitHub-Delivery: <x-github-delivery>",
"X-GitHub-Event: <x-github-event>",
"X-Hub-Signature-256: <x-hub-signature-256>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentsfleet.net/v1/ingress/{provider}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-GitHub-Event", "<x-github-event>")
req.Header.Add("X-GitHub-Delivery", "<x-github-delivery>")
req.Header.Add("X-Hub-Signature-256", "<x-hub-signature-256>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agentsfleet.net/v1/ingress/{provider}")
.header("X-GitHub-Event", "<x-github-event>")
.header("X-GitHub-Delivery", "<x-github-delivery>")
.header("X-Hub-Signature-256", "<x-hub-signature-256>")
.header("Content-Type", "application/json")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentsfleet.net/v1/ingress/{provider}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-GitHub-Event"] = '<x-github-event>'
request["X-GitHub-Delivery"] = '<x-github-delivery>'
request["X-Hub-Signature-256"] = '<x-hub-signature-256>'
request["Content-Type"] = 'application/json'
response = http.request(request)
puts response.read_body{
"status": "<string>"
}{
"enqueued": 1,
"matched": 1
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}Headers
GitHub event type, currently ping, pull_request, workflow_run, or deployment_status.
Delivery identifier supplied by GitHub.
Hash-based Message Authentication Code (HMAC)-SHA256 of the raw body, prefixed with sha256=.
Path Parameters
Provider identifier, such as slack or github.
Response
A handshake echoed, or a delivery acknowledged and not acted on
- Option 1
- Option 2
A successful provider handshake or an ignored delivery with its reason.
The pong marker this deployment answers with.